The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Apache 2.4 mod_auth_kerb

Discussion in 'EasyApache' started by izghitu, Feb 1, 2017.

  1. izghitu

    izghitu Well-Known Member

    Joined:
    Aug 9, 2006
    Messages:
    50
    Likes Received:
    1
    Trophy Points:
    156
    Hi,

    I need the kerberos auth module for apache but I can't see any possibility to set it up via easyapache4 in WHM.

    If I do a yum search kerb I get:
    mod_auth_kerb.x86_64 : Kerberos authentication module for HTTP

    But I believe this is the module for the OS apache package and can't be used with the easyapache one.
    I am running CentOS 7 with latest WHM and easyapache 4.

    Does anyone know how do I proceed in this case?
    Thanks in advance.
     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    37,064
    Likes Received:
    1,287
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello,

    The package listed in the YUM output is from your OS and wouldn't work with EasyApache 4. You would have to develop a custom RPM and then distribute it on your system to install a custom Apache module with EasyApache 4. The information on the following URL offers some advice on this process:

    ea4.ninja

    We also provide a list of companies offering system administration services should you require help with this custom setup:

    System Administration Services | cPanel Forums

    I also encourage you to open a feature request if it's a module you'd like to see offered in the EasyApache 4 build options:

    Submit A Feature Request

    Thank you.
     
Loading...

Share This Page